using System;
using System.Windows.Forms;

namespace AyaNovaQBI
{
    public partial class MapApproveUpdateSelectedItems : Form
    {
        public MapApproveUpdateSelectedItems()
        {
            InitializeComponent();
        }

        public bool ShowUpdatePriceCostOnlyCheckBox { get; set; } = false;

        public bool PriceOnly
        {
            get
            {
                return ckUpdatePriceCostOnly.Checked;
            }
        }
        public string UpdateMessage { get; set; }

        private void MapApproveUpdateSelectedItems_Load(object sender, EventArgs e)
        {
            ckUpdatePriceCostOnly.Visible = ShowUpdatePriceCostOnlyCheckBox;
            lblUpdateMessage.Text = UpdateMessage;
            btnCancel.Text = util.AyaTranslations["Cancel"];
            btnOK.Text = util.AyaTranslations["OK"];
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
            Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
            Close();
        }
    }
}
